Subject: Re: [OPSAWG] New Version Notification for draft-ietf-opsawg-nat-yang-04.txt

From: Joe Clarke <[email-masked]>
Date: Wed, 4 Oct 2017 09:50:54 -0400

On 9/28/17 11:07, [email-masked] wrote:
> Dear WG, 
> 
> The new version takes into account the comments from Kris, mainly:
> - allow for multiple config within the same NAT instance.
> - bind an external interface with a specific NAT config.
> 
> Chairs, now that we (authors) asked for external reviews covering (CLAT, EAM, NPTv6 and CGN), we do think that the document is now ready for an early YANG doctors review. Can you please arrange for it? Thank you.

Thanks, Med.  I dropped the ball here.  I saw this email, and got
distracted.  Nonetheless, Tianran has requested a review from YANG Doc
due by the 18th of this month.

Joe

> 
> Cheers,
> Med
> 
>> -----Message d'origine-----
>> De : [email-masked] [mailto:[email-masked]]
>> Envoyé : jeudi 28 septembre 2017 17:03
>> À : BOUCADAIR Mohamed IMT/OLN; Senthil Sivakumar; JACQUENET Christian
>> IMT/OLN; [email-masked]; Qin Wu
>> Objet : New Version Notification for draft-ietf-opsawg-nat-yang-04.txt
>>
>>
>> A new version of I-D, draft-ietf-opsawg-nat-yang-04.txt
>> has been successfully submitted by Mohamed Boucadair and posted to the
>> IETF repository.
>>
>> Name:		draft-ietf-opsawg-nat-yang
>> Revision:	04
>> Title:		A YANG Data Model for Network Address Translation (NAT)
>> and Network Prefix Translation (NPT)
>> Document date:	2017-09-28
>> Group:		opsawg
>> Pages:		78
>> URL:            https://www.ietf.org/internet-drafts/draft-ietf-opsawg-
>> nat-yang-04.txt
>> Status:         https://datatracker.ietf.org/doc/draft-ietf-opsawg-nat-
>> yang/
>> Htmlized:       https://tools.ietf.org/html/draft-ietf-opsawg-nat-yang-04
>> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-opsawg-
>> nat-yang-04
>> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-opsawg-nat-
>> yang-04
>>
>> Abstract:
>>    For the sake of network automation and the need for programming
>>    Network Address Translation (NAT) function in particular, a data
>>    model for configuring and managing the NAT is essential.  This
>>    document defines a YANG module for the NAT function.
>>
>>    NAT44, Network Address and Protocol Translation from IPv6 Clients to
>>    IPv4 Servers (NAT64), Customer-side transLATor (CLAT), Explicit
>>    Address Mappings for Stateless IP/ICMP Translation (SIIT EAM), and
>>    IPv6 Network Prefix Translation (NPTv6) are covered in this document.
>>
>>
>>
>>
>> Please note that it may take a couple of minutes from the time of
>> submission
>> until the htmlized version and diff are available at tools.ietf.org.
>>
>> The IETF Secretariat
> 
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
>